HSClientProtocolPBClientImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.impl.pb.client, class: HSClientProtocolPBClientImpl

Package org.apache.hadoop.mapreduce.v2.api.impl.pb.client

# Class HSClientProtocolPBClientImpl

java.lang.Object
org.apache.hadoop.mapreduce.v2.api.impl.pb.client.MRClientProtocolPBClientImpl
org.apache.hadoop.mapreduce.v2.api.impl.pb.client.HSClientProtocolPBClientImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `HSClientProtocol`, `MRClientProtocol`

public class HSClientProtocolPBClientImpl extends MRClientProtocolPBClientImpl implements HSClientProtocol

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.v2.api.impl.pb.client.MRClientProtocolPBClientImpl

  `proxy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSClientProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.api.impl.pb.client.MRClientProtocolPBClientImpl

  `cancelDelegationToken, close, failTaskAttempt, getConnectAddress, getCounters, getDelegationToken, getDiagnostics, getJobReport, getTaskAttemptCompletionEvents, getTaskAttemptReport, getTaskReport, getTaskReports, killJob, killTask, killTaskAttempt, renewDelegationToken`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.mapreduce.v2.api.MRClientProtocol

  `cancelDelegationToken, failTaskAttempt, getConnectAddress, getCounters, getDelegationToken, getDiagnostics, getJobReport, getTaskAttemptCompletionEvents, getTaskAttemptReport, getTaskReport, getTaskReports, killJob, killTask, killTaskAttempt, renewDelegationToken`

- ## Constructor Details

  - ### HSClientProtocolPBClientImpl

    public HSClientProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf) throws IOException
    Throws:
      `IOException`